Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.offline.browse
Class RepositoryFinder

    java.lang.Object
      |
      +--org.w3c.tools.offline.browse.RepositoryFinder

public class RepositoryFinder
extends java.lang.Object

The finder that handles a given repository file.

Field Summary
`protected java.io.File` | `file`
`protected static org.apache.oro.text.regex.Perl5Compiler` | `pcompiler`
`protected static org.apache.oro.text.regex.Perl5Matcher` | `pmatcher`
`protected java.lang.String` | `repository_dir` The relative directory name of the repository in the store
`protected java.lang.String` | `repository_name` The repository name in the repository directory
`protected ResourceLister` | `rl` A resource lister instance that handles the repository resources
`protected Serializer` | `serializer`
`protected java.lang.String` | `store_dir` The store directory (relative to current path)

Constructor Summary
`RepositoryFinder(java.lang.String storedir, java.lang.String repname)` Initializes the finder.

Method Summary
`AttributeHolder` | `getAttributeHolder(java.lang.String identifier)` find a given resource
`AttributeHolder[]` | `getAttributeHolders()`
`java.lang.String` | `getRep()`
`void` | `writeHolders()` write changes into a tmp file and then commit to the real file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repository_dir

    protected java.lang.String repository_dir

  The relative directory name of the repository in the store

### repository_name

    protected java.lang.String repository_name

  The repository name in the repository directory

### store_dir

    protected java.lang.String store_dir

  The store directory (relative to current path)

### rl

    protected ResourceLister rl

  A resource lister instance that handles the repository resources

### file

    protected java.io.File file

### serializer

    protected Serializer serializer

### pmatcher

    protected static org.apache.oro.text.regex.Perl5Matcher pmatcher

### pcompiler

    protected static org.apache.oro.text.regex.Perl5Compiler pcompiler

Constructor Detail

### RepositoryFinder

    public RepositoryFinder(java.lang.String storedir,
                            java.lang.String repname)
                     throws InvalidStoreException

  Initializes the finder. opens the file in the right directory, adds a resource lister and a XML serializer, finds the containers.

Parameters:
  `storedir` - the store directory path
  `repname` - the repository filename.

Method Detail

### getAttributeHolder

    public AttributeHolder getAttributeHolder(java.lang.String identifier)

  find a given resource

  Parameters:
    `identifier` - the name of the resource to find
  Returns:
    an AttributeHolder.

### getAttributeHolders

    public AttributeHolder[] getAttributeHolders()

### getRep

    public java.lang.String getRep()

### writeHolders

    public void writeHolders()

  write changes into a tmp file and then commit to the real file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD